org.apache.lucene.index

## Class TermEnum

- java.lang.Object
- - org.apache.lucene.index.TermEnum

- Direct Known Subclasses:
    FilteredTermEnum, FilterIndexReader.FilterTermEnum, InstantiatedTermEnum

      public abstract class TermEnum
      extends java.lang.Object

  Abstract class for enumerating terms.

  Term enumerations are always ordered by Term.compareTo(). Each term in the enumeration is greater than all that precede it.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TermEnum()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `close()` Closes the enumeration to further activity, freeing resources.
    `abstract int` | `docFreq()` Returns the docFreq of the current Term in the enumeration.
    `abstract boolean` | `next()` Increments the enumeration to the next element.
    `boolean` | `skipTo(Term target)` Deprecated. This method is not performant and will be removed in Lucene 3.0. Use `IndexReader.terms(Term)` to create a new TermEnum positioned at a given term.
    `abstract Term` | `term()` Returns the current Term in the enumeration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TermEnum

          public TermEnum()

  - ### Method Detail

    - #### next

          public abstract boolean next()
                                throws java.io.IOException

      Increments the enumeration to the next element. True if one exists.
      Throws:
        `java.io.IOException`

    - #### term

          public abstract Term term()

      Returns the current Term in the enumeration.

    - #### docFreq

          public abstract int docFreq()

      Returns the docFreq of the current Term in the enumeration.

    - #### close

          public abstract void close()
                              throws java.io.IOException

      Closes the enumeration to further activity, freeing resources.
      Throws:
        `java.io.IOException`

    - #### skipTo

          public boolean skipTo(Term target)
                         throws java.io.IOException

      Deprecated. This method is not performant and will be removed in Lucene 3.0. Use `IndexReader.terms(Term)` to create a new TermEnum positioned at a given term.
      Skips terms to the first beyond the current whose value is greater or equal to target.

      Returns true iff there is such an entry.

      Behaves as if written:

             public boolean skipTo(Term target) {
               do {
                 if (!next())
                       return false;
               } while (target > term());
               return true;
             }

      Some implementations *could* be considerably more efficient than a linear scan. Check the implementation to be sure.
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.